Bug 258016 - security/wipe wipe(1) reference to non-existent /usr/local/share/doc/wipe/README (wrong path)
Summary: security/wipe wipe(1) reference to non-existent /usr/local/share/doc/wipe/REA...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-23 20:44 UTC by Graham Perrin
Modified: 2021-08-30 08:56 UTC (History)
1 user (show)

See Also:
fernape: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Graham Perrin 2021-08-23 20:44:56 UTC
From the manual page: 


SEE ALSO
       /usr/doc/wipe/README


----

% file /usr/doc/wipe/README
/usr/doc/wipe/README: cannot open `/usr/doc/wipe/README' (No such file or directory)
% pkg info --list security/wipe
wipe-2.3.1:
        /usr/local/bin/wipe
        /usr/local/man/man1/wipe.1.gz
        /usr/local/share/doc/wipe/CHANGES
        /usr/local/share/doc/wipe/README
        /usr/local/share/doc/wipe/TESTING
        /usr/local/share/doc/wipe/TODO
        /usr/local/share/licenses/wipe-2.3.1/GPLv2+
        /usr/local/share/licenses/wipe-2.3.1/LICENSE
        /usr/local/share/licenses/wipe-2.3.1/catalog.mk
%
Comment 1 commit-hook freebsd_committer 2021-08-25 16:21:37 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a08413affec93df8ee93db17e8d046d0d1dd06e7

commit a08413affec93df8ee93db17e8d046d0d1dd06e7
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-08-25 16:03:49 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-08-25 16:13:13 +0000

    security/wipe: wipe(1) reference to wrong path

    Replace hardcoded path in post-patch.

    PR:     258016
    Reported by:    grahamperrin@gmail.com
    MFH:    2021Q3

 security/wipe/Makefile | 1 +
 1 file changed, 1 insertion(+)
Comment 2 commit-hook freebsd_committer 2021-08-25 16:34:39 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=bb22c91d585999f63e1381b9979d86c56841561e

commit bb22c91d585999f63e1381b9979d86c56841561e
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-08-25 16:03:49 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-08-25 16:26:55 +0000

    security/wipe: wipe(1) reference to wrong path

    Replace hardcoded path in post-patch.

    PR:     258016
    Reported by:    grahamperrin@gmail.com
    MFH:    2021Q3

    (cherry picked from commit a08413affec93df8ee93db17e8d046d0d1dd06e7)

 security/wipe/Makefile | 1 +
 1 file changed, 1 insertion(+)
Comment 3 Fernando Apesteguía freebsd_committer 2021-08-25 16:35:04 UTC
Fixed.

Thanks!
Comment 4 Graham Perrin 2021-08-30 08:56:47 UTC
Fix confirmed. Thank you!